### Struct

# FwupdPlugin UsbBosHdr

#### Description

    struct FuUsbBosHdr {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf`

  No description available.

`refcount`

  No description available.

#### Functions

###### fu_usb_bos_hdr_new

No description available.

###### fu_usb_bos_hdr_parse_stream

No description available.

#### Instance methods

###### fu_usb_bos_hdr_get_descriptor_type

No description available.

###### fu_usb_bos_hdr_get_dev_capability_type

No description available.

###### fu_usb_bos_hdr_get_length

No description available.

###### fu_usb_bos_hdr_ref

No description available.

###### fu_usb_bos_hdr_set_descriptor_type

No description available.

###### fu_usb_bos_hdr_set_dev_capability_type

No description available.

###### fu_usb_bos_hdr_set_length

No description available.

###### fu_usb_bos_hdr_unref

No description available.